org.gnome.gtk

## Class TreeViewColumnSizing

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.TreeViewColumnSizing

-     public final class TreeViewColumnSizing
      extends org.freedesktop.bindings.Constant

  Constants controlling the [re]sizing behaviour of TreeViewColumns in a TreeView.
  Since:
    4.0.6

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TreeViewColumnSizing` | `AUTOSIZE` Columns will resize both larger and smaller to accomodate any changes to the model.
    `static TreeViewColumnSizing` | `FIXED` The column will be a predetemined width.
    `static TreeViewColumnSizing` | `GROW_ONLY` Columns will (only) get bigger in reaction to changes in data in the model.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### AUTOSIZE

          public static final TreeViewColumnSizing AUTOSIZE

      Columns will resize both larger and smaller to accomodate any changes to the model. This is "cool" but is horribly inefficient on large datasets, where the cascade of size allocations will cause your TreeView to become really choppy.

      Choosing this column sizing method will implicitly set `setResizeable()` to `false`.

    - #### FIXED

          public static final TreeViewColumnSizing FIXED

      The column will be a predetemined width. The number of pixels wide is set with TreeViewColumn's `setFixedWidth()`.

    - #### GROW_ONLY

          public static final TreeViewColumnSizing GROW_ONLY

      Columns will (only) get bigger in reaction to changes in data in the model. If new data is set into the model which requires more space to render, the column will get wider. Otherwise things will be left alone. This is the default.